POST api/poolapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "56958d44-3aae-4679-832b-2bd8dd212f3e",
"site_id": "0c741b04-d76e-4bdf-9f63-2d55bb9484e3"
}
application/xml, text/xml
Sample:
<pool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>56958d44-3aae-4679-832b-2bd8dd212f3e</id> <site_id>0c741b04-d76e-4bdf-9f63-2d55bb9484e3</site_id> </pool>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"5caced17-a969-4c4b-add0-b9cb23fee942"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5caced17-a969-4c4b-add0-b9cb23fee942</guid>